LibreOffice: cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 > Class Template Reference

LibreOffice LibreOffice 7.4 SDK C/C++ API Reference

Classes | Public Member Functions | List of all members
cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 > Class Template Reference

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...

`#include <compbase7.hxx>`

Inheritance diagram for cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >:

## Public Member Functions
| WeakComponentImplHelper7 (::osl::Mutex &rMutex) SAL_NOEXCEPT
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual void | acquire () SAL_NOEXCEPT SAL_OVERRIDE
virtual void | release () SAL_NOEXCEPT SAL_OVERRIDE
virtual void | dispose () SAL_OVERRIDE
virtual void | addEventListener (const css::uno::Reference< css::lang::XEventListener > &xListener) SAL_OVERRIDE
virtual void | removeEventListener (const css::uno::Reference< css::lang::XEventListener > &xListener) SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Detailed Description

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7>
class cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent.

Upon disposing objects of this class, sub-classes receive a disposing() call. Objects of this class can be held weakly, i.e. by a css::uno::WeakReference.

Attention
  The life-cycle of the passed mutex reference has to be longer than objects of this class.

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

## Constructor & Destructor Documentation

## ◆ WeakComponentImplHelper7()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::WeakComponentImplHelper7 | ( | ::osl::Mutex & | rMutex | ) |
| inline

## Member Function Documentation

## ◆ acquire()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual void cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::acquire | ( |  | ) |
| inlinevirtual

## ◆ addEventListener()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual void cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::addEventListener | ( | const css::uno::Reference< css::lang::XEventListener > & | xListener | ) |
| inlinevirtual

## ◆ dispose()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual void cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::dispose | ( |  | ) |
| inlinevirtual

## ◆ getImplementationId()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual css::uno::Sequence< sal_Int8 > cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual css::uno::Sequence< css::uno::Type > cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual css::uno::Any cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

## ◆ release()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual void cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::release | ( |  | ) |
| inlinevirtual

## ◆ removeEventListener()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 >

virtual void cppu::WeakComponentImplHelper7< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7 >::removeEventListener | ( | const css::uno::Reference< css::lang::XEventListener > & | xListener | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase7.hxx